<!DOCTYPE html>

<html>
  <head>
    <title>Place Autocomplete Address Form</title>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <link
      href="https://fonts.googleapis.com/css?family=Roboto:400,500"
      rel="stylesheet"
    />

    <link rel="stylesheet" type="text/css" href="./style.css" />
    <script type="module" src="./index.js"></script>
  </head>
  <body>
    <form id="address-form" action="" method="get" autocomplete="off">
      <h1 class="title">Address Autocomplete Demo!!</h1>
      <label class="full-field">
        <span class="form-label">What is your Projects Address ?</span>
        <input
          id="street-address"
          name="street-address"
          required
          autocomplete="off"
        />
      </label>
      <label class="full-field">
        <span class="form-label">Apartment, unit, or floor #</span>
        <input id="address2" name="address2" />
      </label>
      <label class="full-field">
        <span class="form-label">City</span>
        <input id="city" name="city" required />
      </label>
      <label class="field-left">
        <span class="form-label">State</span>
        <input id="state" name="state" required />
      </label>
      <label class="field-right" for="postal_code">
        <span class="form-label">ZipCode</span>
        <input id="zipCode" name="zipCode" required />
      </label>
      <label class="full-field">
        <span class="form-label">Country/Region</span>
        <input id="country" name="country" required />
      </label>
      <button type="button" class="submit-button">Submit</button>
      <input type="reset" value="Clear form" />
    </form>
    <script
      src="https://maps.googleapis.com/maps/api/js?key=API_KEY&callback=initAutocomplete&libraries=places&v=weekly"
       defer ></script>
  </body>
</html>
